<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* twittermetro-form-edit.twig */
class __TwigTemplate_7909bb3e7959668b50a5e09cf8895fc7c13a98047078065680de6e251164c9f4 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 9
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 10
        $context["forms"] = $this->loadTemplate("forms.twig", "twittermetro-form-edit.twig", 10)->unwrap();
        // line 9
        $this->parent = $this->loadTemplate("form-base.twig", "twittermetro-form-edit.twig", 9);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 12
    public function block_formTitle($context, array $blocks = [])
    {
        // line 13
        echo "    ";
        echo __("Edit Twitter Metro");
    }

    // line 16
    public function block_extra($context, array $blocks = [])
    {
        echo twig_jsonencode_filter(["colors" => $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "templateColours"], "method"), "templates" => $this->getAttribute(($context["module"] ?? null), "templatesAvailable", [], "method")]);
    }

    // line 18
    public function block_formHtml($context, array $blocks = [])
    {
        // line 19
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"active\"><a href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 21
        echo __("General");
        echo "</span></a></li>
            <li><a href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 22
        echo __("Configuration");
        echo "</span></a></li>
             <li class=\"dropdown\">
                <a class=\"dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 25
        echo __("Appearance");
        echo "<span class=\"caret\"></span>
                </a>
                <ul class=\"dropdown-menu\">
                    <li><a href=\"#appearanceTemplateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 28
        echo __("Main");
        echo "</span></a></li>
                    <li><a href=\"#colorsTemplateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 29
        echo __("Colours");
        echo "</span></a></li>
                    <li><a href=\"#effectTemplateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 30
        echo __("Effect");
        echo "</span></a></li>
                </ul>
            </li>
            <li><a href=\"#cacheTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 33
        echo __("Caching");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"twitterMetroEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 36
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("module.widget.edit", ["id" => $this->getAttribute($this->getAttribute(($context["module"] ?? null), "widget", []), "widgetId", [])]), "html", null, true);
        echo "\">
                 <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 39
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 40
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 41
        echo "                        ";
        echo $context["forms"]->getinput("name", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "name"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 43
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 44
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 45
        echo "                        ";
        echo $context["forms"]->getcheckbox("useDuration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getUseDuration", [], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 47
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 48
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed (default = 60).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                        ";
        echo $context["forms"]->getnumber("duration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getDuration", [], "method"), ($context["helpText"] ?? null), "duration-fields", "required");
        echo "

                        ";
        // line 51
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 53
        echo "
                        ";
        // line 54
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 58
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 59
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 60
($context["inheritOption"] ?? null)]];
        // line 62
        echo "                        ";
        echo $context["forms"]->getdropdown("enableStat", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => $this->getAttribute(($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method")], "method"), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null));
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 66
        ob_start(function () { return ''; });
        echo __("Search Term");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Search term. You can test your search term in the twitter.com search box first.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                        ";
        echo $context["forms"]->getinput("searchTerm", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "searchTerm"], "method"), ($context["helpText"] ?? null), "", "required");
        echo "

                        ";
        // line 70
        ob_start(function () { return ''; });
        echo __("Language");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Language in which tweets should be returned");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "                        ";
        echo $context["forms"]->getinput("language", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "language"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 74
        ob_start(function () { return ''; });
        echo __("Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Recent shows only the most recent tweets, Popular the most popular and Mixed includes both popular and recent results.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 76
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Mixed");
        $context["mixed"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 77
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Recent");
        $context["recent"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Popular");
        $context["popular"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 79
        echo "                        ";
        $context["options"] = [0 => ["typeid" => 1, "type" =>         // line 80
($context["mixed"] ?? null)], 1 => ["typeid" => 2, "type" =>         // line 81
($context["recent"] ?? null)], 2 => ["typeid" => 3, "type" =>         // line 82
($context["popular"] ?? null)]];
        // line 84
        echo "                        ";
        echo $context["forms"]->getdropdown("resultType", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "resultType"], "method"), ($context["options"] ?? null), "typeid", "type", ($context["helpText"] ?? null), "", "required");
        echo "

                        ";
        // line 86
        ob_start(function () { return ''; });
        echo __("Distance");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 87
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Distance in miles that the tweets should be returned from. Set to 0 for no restrictions.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 88
        echo "                        ";
        echo $context["forms"]->getnumber("tweetDistance", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "tweetDistance"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 90
        ob_start(function () { return ''; });
        echo __("Count");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 91
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The number of Tweets to return (default = 60).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 92
        echo "                        ";
        echo $context["forms"]->getnumber("tweetCount", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "tweetCount"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 94
        ob_start(function () { return ''; });
        echo __("Content Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 95
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("This is the intended tweet content type.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 96
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("All Tweets");
        $context["allTweets"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 97
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tweets with text only content");
        $context["justText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 98
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tweets with text and image content");
        $context["withImages"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 99
        echo "                        ";
        $context["options"] = [0 => ["contenttypeid" => 0, "type" =>         // line 100
($context["allTweets"] ?? null)], 1 => ["contenttypeid" => 1, "type" =>         // line 101
($context["justText"] ?? null)], 2 => ["contenttypeid" => 2, "type" =>         // line 102
($context["withImages"] ?? null)]];
        // line 104
        echo "                        ";
        echo $context["forms"]->getdropdown("resultContent", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "resultContent", 1 => 0], "method"), ($context["options"] ?? null), "contenttypeid", "type", ($context["helpText"] ?? null), "", "required");
        echo "

                        ";
        // line 106
        ob_start(function () { return ''; });
        echo __("Remove Retweets?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 107
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should retweets be filtered?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 108
        echo "                        ";
        echo $context["forms"]->getcheckbox("removeRetweets", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "GetOption", [0 => "removeRetweets", 1 => 1], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 110
        ob_start(function () { return ''; });
        echo __("Remove Mentions?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 111
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should mentions (@someone) be removed from the Tweet Text?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 112
        echo "                        ";
        echo $context["forms"]->getcheckbox("removeMentions", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "GetOption", [0 => "removeMentions", 1 => 0], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 114
        ob_start(function () { return ''; });
        echo __("Remove Hashtags?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 115
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should Hashtags (#something) be removed from the Tweet Text?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 116
        echo "                        ";
        echo $context["forms"]->getcheckbox("removeHashtags", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "GetOption", [0 => "removeHashtags", 1 => 0], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 118
        ob_start(function () { return ''; });
        echo __("Remove URLs?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 119
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should URLs be removed from the Tweet Text? Most URLs do not compliment digital signage.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 120
        echo "                        ";
        echo $context["forms"]->getcheckbox("removeUrls", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "GetOption", [0 => "removeUrls", 1 => 1], "method"), ($context["helpText"] ?? null));
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"appearanceTemplateTab\">
                        ";
        // line 124
        ob_start(function () { return ''; });
        echo __("Background Colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 125
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The selected effect works best with a background colour. Optionally add one here.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 126
        echo "                        ";
        echo $context["forms"]->getinput("backgroundColor", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "backgroundColor"], "method"), ($context["helpText"] ?? null), "background-color-group");
        echo "
                        
                        ";
        // line 128
        ob_start(function () { return ''; });
        echo __("No tweets");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 129
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A message to display when there are no tweets returned by the search query");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        echo $context["forms"]->getinput("noTweetsMessage", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "noTweetsMessage"], "method"), ($context["helpText"] ?? null));
        echo "
                        
                        ";
        // line 132
        ob_start(function () { return ''; });
        echo __("Date Format");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 133
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter the date format to apply to all dates returned: d - day in numbers; 01 to 31 / D - day of the week as text; Mon to Sun: m - month in numbers; 01 to 12 /M - month in text; Jan to Dec - year in two digits; 19 / Y - year in four digits; 2019");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 134
        echo "                        ";
        echo $context["forms"]->getinput("dateFormat", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "dateFormat"], "method"), ($context["helpText"] ?? null));
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"colorsTemplateTab\">
                        ";
        // line 138
        ob_start(function () { return ''; });
        echo __("Template Colours");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 139
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the template colours you would like to apply.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 140
        echo "                        ";
        echo $context["forms"]->getdropdown("colorTemplateId", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "colorTemplateId"], "method"), $this->getAttribute(($context["module"] ?? null), "templatesAvailable", [], "method"), "id", "value", ($context["helpText"] ?? null), "selectPicker selectPickerWithImage template-selector-control", null, null, null, null, null, "image");
        echo "
            
                        ";
        // line 142
        ob_start(function () { return ''; });
        echo __("Override the template?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 143
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to override the template.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 144
        echo "                        ";
        echo $context["forms"]->getcheckbox("overrideColorTemplate", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "overrideColorTemplate"], "method"), ($context["helpText"] ?? null));
        echo "

                        <div id=\"templateColors\" class=\"template-override-controls\"></div>
                    </div>

                    <div class=\"tab-pane\" id=\"effectTemplateTab\">
                        ";
        // line 150
        ob_start(function () { return ''; });
        echo __("Effect");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 151
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the effect that will be used to transition between items.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 152
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("None");
        $context["noneOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 153
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade");
        $context["fade"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 154
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade Out");
        $context["fadeout"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 155
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Horizontal");
        $context["scrollHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 156
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Vertical");
        $context["scrollVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 157
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Horizontal");
        $context["flipHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 158
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Vertical");
        $context["flipVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 159
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Shuffle");
        $context["shuffle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 160
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Slide");
        $context["tileSlide"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 161
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Blind");
        $context["tileBlind"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 162
        echo "                        ";
        $context["options"] = [0 => ["effectid" => "noAnim", "effect" =>         // line 163
($context["noneOption"] ?? null)], 1 => ["effectid" => "fade", "effect" =>         // line 164
($context["fade"] ?? null)], 2 => ["effectid" => "fadeout", "effect" =>         // line 165
($context["fadeout"] ?? null)], 3 => ["effectid" => "scrollHorz", "effect" =>         // line 166
($context["scrollHorz"] ?? null)], 4 => ["effectid" => "scrollVert", "effect" =>         // line 167
($context["scrollVert"] ?? null)], 5 => ["effectid" => "flipHorz", "effect" =>         // line 168
($context["flipHorz"] ?? null)], 6 => ["effectid" => "flipVert", "effect" =>         // line 169
($context["flipVert"] ?? null)], 7 => ["effectid" => "shuffle", "effect" =>         // line 170
($context["shuffle"] ?? null)], 8 => ["effectid" => "tileSlide", "effect" =>         // line 171
($context["tileSlide"] ?? null)], 9 => ["effectid" => "tileBlind", "effect" =>         // line 172
($context["tileBlind"] ?? null)]];
        // line 174
        echo "                        ";
        echo $context["forms"]->getdropdown("effect", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "effect"], "method"), ($context["options"] ?? null), "effectid", "effect", ($context["helpText"] ?? null));
        echo "

                        ";
        // line 176
        ob_start(function () { return ''; });
        echo __("Speed");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 177
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The transition speed of the selected effect in milliseconds (normal = 1000).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 178
        echo "                        ";
        echo $context["forms"]->getnumber("speed", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "speed"], "method"), ($context["helpText"] ?? null), "effect-controls");
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"cacheTab\">
                        ";
        // line 182
        ob_start(function () { return ''; });
        echo __("Update Interval (mins)");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 183
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the update interval in minutes. This should be kept as high as possible. For example, if the data will only change once per hour this could be set to 60.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 184
        echo "                        ";
        echo $context["forms"]->getnumber("updateInterval", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "updateInterval", 1 => 60], "method"), ($context["helpText"] ?? null), "", "required");
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "twittermetro-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  571 => 184,  566 => 183,  562 => 182,  554 => 178,  549 => 177,  545 => 176,  539 => 174,  537 => 172,  536 => 171,  535 => 170,  534 => 169,  533 => 168,  532 => 167,  531 => 166,  530 => 165,  529 => 164,  528 => 163,  526 => 162,  521 => 161,  516 => 160,  511 => 159,  506 => 158,  501 => 157,  496 => 156,  491 => 155,  486 => 154,  481 => 153,  476 => 152,  471 => 151,  467 => 150,  457 => 144,  452 => 143,  448 => 142,  442 => 140,  437 => 139,  433 => 138,  425 => 134,  420 => 133,  416 => 132,  410 => 130,  405 => 129,  401 => 128,  395 => 126,  390 => 125,  386 => 124,  378 => 120,  373 => 119,  369 => 118,  363 => 116,  358 => 115,  354 => 114,  348 => 112,  343 => 111,  339 => 110,  333 => 108,  328 => 107,  324 => 106,  318 => 104,  316 => 102,  315 => 101,  314 => 100,  312 => 99,  307 => 98,  302 => 97,  297 => 96,  292 => 95,  288 => 94,  282 => 92,  277 => 91,  273 => 90,  267 => 88,  262 => 87,  258 => 86,  252 => 84,  250 => 82,  249 => 81,  248 => 80,  246 => 79,  241 => 78,  236 => 77,  231 => 76,  226 => 75,  222 => 74,  216 => 72,  211 => 71,  207 => 70,  201 => 68,  196 => 67,  192 => 66,  184 => 62,  182 => 60,  181 => 59,  180 => 58,  178 => 57,  173 => 56,  168 => 55,  164 => 54,  161 => 53,  156 => 52,  152 => 51,  146 => 49,  141 => 48,  137 => 47,  131 => 45,  126 => 44,  122 => 43,  116 => 41,  111 => 40,  107 => 39,  101 => 36,  95 => 33,  89 => 30,  85 => 29,  81 => 28,  75 => 25,  69 => 22,  65 => 21,  61 => 19,  58 => 18,  52 => 16,  47 => 13,  44 => 12,  39 => 9,  37 => 10,  31 => 9,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "twittermetro-form-edit.twig", "/home/mgatv524/public_html/edurocha/modules/twittermetro-form-edit.twig");
    }
}
